import QtQuick 2.0
import org.ukui.quick.platform 1.0
import org.ukui.quick.items 1.0
Column {
    spacing: 10
    SettingsValue {
        name: "liteAnimation"
        value: Settings.liteAnimation
    }
    SettingsValue {
        name: "liteFunction"
        value: Settings.liteFunction
    }
    SettingsValue {
        name: "tabletMode"
        value: Settings.tabletMode
    }
    ShadowedRectangle {
        width: 800
        height: 500
        pureColor: false
        startColor: "red"
        endColor: "yellow"
        color: "blue"
        angle: 2
        // color: "transparent"
        corners {
            topLeftRadius: 10
            topRightRadius: 50
            bottomLeftRadius: 80
            bottomRightRadius: 0
        }
        radius: 5
        shadow {
            size: 10
            color: Qt.rgba(0, 0, 0, 0.5)
            yOffset: 2
        }

        border {
            width: 1
            color: "black"
        }
    }

    Button {
        id: roundButton
        width: 100
        height: 100
        background.radius: 50

        ShadowedTexture {
            source: roundButton
            anchors.fill: parent
            radius: 50
            shadow {
                size: 20
                color: Qt.rgba(0, 0, 0, 1)
                yOffset: 2
            }

            border {
                width: 1
                color: "blue"
            }
        }
    }

}